[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# get_caller_stackinfo

Return caller stack infomation

## Declaration

Source position: systemh.inc line 1407

`procedure get_caller_stackinfo(`
`var framebp: pointer;`
`var addr: CodePointer`
`);`

## Description

get_caller_stackinfo returns caller address in addr and frame base pointer in framebp.

## See also

CaptureBacktrace |  | Return stack trace
Get_pc_addr |  | Get Program Counter address
get_caller_addr |  | Return the address of the caller.
get_caller_frame |  | Return the frame pointer of the caller